﻿using System;

using UIKit;
using Syncfusion.SfGauge.iOS;
using System.Collections.ObjectModel;
using Foundation;
using CoreGraphics;


namespace CircularTimeline
{
	public partial class ViewController : UIViewController
	{
		
		SFGaugeHeader header1;
		protected ViewController(IntPtr handle) : base(handle)
		{
			// Note: this .ctor should not contain any initialization logic.
		}

		public override void ViewDidLoad()
		{
			base.ViewDidLoad();

			SFCircularGauge gauge = new SFCircularGauge();
			gauge.BackgroundColor = UIColor.FromRGB(79, 116, 125);

			ObservableCollection<SFCircularScale> scales = new ObservableCollection<SFCircularScale>();
			SFCircularScale scale = new SFCircularScale();
			scale.StartAngle = 180;
			scale.SweepAngle = 540;
			scale.Interval = 10;
			scale.StartValue = 0;
			scale.EndValue = 100;
			scale.ScaleStartOffset = 0.85f;
			scale.ScaleEndOffSet = 0.8f;
			scale.RimColor = UIColor.FromRGB(4, 47, 63);
			scale.ShowLabels = false;
			scale.ShowTicks = false;


			ObservableCollection<SFCircularRange> ranges = new ObservableCollection<SFCircularRange>();

			SFCircularRange range = new SFCircularRange();
			range.StartValue = 5;
			range.EndValue = 35;
			range.OuterStartOffset = 0.85f;
			range.OuterEndOffset = 0.85f;
			range.InnerStartOffset = 0.8f;
			range.InnerEndOffset = 0.8f;
			range.Color = UIColor.FromRGB(148, 201, 61);

			ranges.Add(range);
			scale.Ranges = ranges;

			ObservableCollection<SFCircularPointer> pointers = new ObservableCollection<SFCircularPointer>();

			SFMarkerPointer pointer = new SFMarkerPointer();
			pointer.ImageSource = "image1.png";
			pointer.MarkerShape = MarkerShape.Image;
			pointer.Value = 4;
			pointer.MarkerWidth = 60;
			pointer.MarkerHeight = 60;
			pointer.EnableAnimation = false;
			pointer.EnableDragging = true;

			SFMarkerPointer pointer1 = new SFMarkerPointer();
			pointer1.ImageSource = "image2.png";
			pointer1.MarkerShape = MarkerShape.Image;
			pointer1.Value = 30;
			pointer1.MarkerWidth = 60;
			pointer1.MarkerHeight = 60;
			pointer1.EnableAnimation = false;
			pointer1.EnableDragging = true;


			SFMarkerPointer pointer2 = new SFMarkerPointer();
			pointer2.ImageSource = "image3.png";
			pointer2.MarkerShape = MarkerShape.Image;
			pointer2.Value = 70;
			pointer2.MarkerWidth = 60;
			pointer2.MarkerHeight = 60;
			pointer2.EnableAnimation = false;
			pointer2.EnableDragging = true;


			pointers.Add(pointer);
			pointers.Add(pointer1);
			pointers.Add(pointer2);

			SFGaugeHeader header = new SFGaugeHeader();
			header.Text = (NSString)"DIM";
			header.TextStyle = UIFont.SystemFontOfSize(30);
			header.Position = new CGPoint(0.5f, 0.45f);
			header.TextColor = UIColor.White;

			header1 = new SFGaugeHeader();
			header1.Text = (NSString)"dim:79";
			header1.TextStyle = UIFont.SystemFontOfSize(25);
			header1.Position = new CGPoint(0.5f, 0.6f);
			header1.TextColor = UIColor.White;

			SFGaugeHeader header2 = new SFGaugeHeader();
			header2.Text = (NSString)"79d";
			header2.TextStyle = UIFont.SystemFontOfSize(25);
			header2.Position = new CGPoint(0.9f, 0.2f);
			header2.TextColor = UIColor.White;




			gauge.Headers.Add(header);
			gauge.Headers.Add(header1);
			gauge.Headers.Add(header2);

			scale.Pointers = pointers;
			scales.Add(scale);
			gauge.Scales = scales;





			this.View.Add(gauge);
			// Perform any additional setup after loading the view, typically from a nib.
		}

		public override void ViewDidLayoutSubviews()
		{
			base.ViewDidLayoutSubviews();

		}
		public override void DidReceiveMemoryWarning()
		{
			base.DidReceiveMemoryWarning();
			// Release any cached data, images, etc that aren't in use.
		}
	}
}
